{"openapi":"3.0.1","info":{"title":"EKM Insight API","description":"EKM Insight API","termsOfService":"http://www.ekmglobal.com","version":"1.19"},"servers":[{"url":"https://insight.axessmps.com/PortalAPI","description":"Generated server url"}],"security":[{"JWT":[]}],"tags":[{"name":"Delivery Location API","description":"Delivery Location API"},{"name":"Territory API","description":"Territory API"},{"name":"Customer API","description":"Customer API"},{"name":"Group API","description":"Group API"},{"name":"Zone API","description":"Zone API"},{"name":"E-Automate API","description":"E-Automate API"}],"paths":{"/login":{"post":{"tags":["Login API"],"summary":"Obtain a JWT Token","description":"Log in using your apikey:apisecret (encoded as base 64) to retrieve a JWT Token","operationId":"login","responses":{"200":{"description":"OK","headers":{"Authorization":{"description":"Bearer JWT Token","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"access_token":{"type":"string"},"token_type":{"type":"string"},"expires_in":{"type":"integer","format":"int32"}}}}}}},"security":[{"Basic Authentication":[]}]}},"/api/notes":{"post":{"tags":["Notes API"],"summary":"Create a note.","operationId":"createNote","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NoteCreateRestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Note created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateResultRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/monitors":{"get":{"tags":["Monitor API"],"summary":"Get a list of monitors by customer ID.","operationId":"listMonitors","parameters":[{"name":"customerId","in":"query","description":"Customer ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"includeExtendedFields","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeCustomFields","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Retrieved customers list of monitors","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MonitorRestDTO"}}}}}},"security":[{"JWT":[]}]},"post":{"tags":["Monitor API"],"summary":"Create a monitor.","operationId":"createMonitor","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitorCreateRestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Create a monitor","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MonitorCreateResultRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/eauto/equipment/message":{"post":{"tags":["E-Automate API"],"summary":"Create or update an e-Automate equipment message","operationId":"addEquipmentMessage","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EautoEquipmentMessageRestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Message created or updated","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeviceNoteRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/eauto/customer/message":{"post":{"tags":["E-Automate API"],"summary":"Create or update an e-Automate customer message","operationId":"addCustomerMessage","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EautoCustomerMessageRestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Message created or updated","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CustomerNoteRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/discovery-ranges":{"get":{"tags":["Discovery Range API"],"summary":"Get a list of discovery ranges by monitor ID.","operationId":"listDiscoveryRanges","parameters":[{"name":"monitorId","in":"query","description":"Monitor ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Retrieved monitor's list of discovery ranges.","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DiscoveryRangeRestDTO"}}}}}},"security":[{"JWT":[]}]},"post":{"tags":["Discovery Range API"],"summary":"Create a discovery range.","operationId":"createDiscoveryRange","requestBody":{"description":"Discovery range to create.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiscoveryRangeCreateRestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Created discovery range.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateResultRestDTO"}}}}},"security":[{"JWT":[]}]},"delete":{"tags":["Discovery Range API"],"summary":"Delete a discovery range.","operationId":"deleteDiscoveryRange","parameters":[{"name":"discoveryRangeId","in":"query","description":"Discovery Range ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"monitorId","in":"query","description":"Monitor ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Deleted discovery range."}},"security":[{"JWT":[]}]},"patch":{"tags":["Discovery Range API"],"summary":"Update a discovery range.","operationId":"updateDiscoveryRange","requestBody":{"description":"Discovery range update.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiscoveryRangeUpdateRestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Updated discovery range.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateResultRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/customers/{groupId}":{"post":{"tags":["Customer API"],"summary":"Create a customer in the specified group.","operationId":"createCustomer","parameters":[{"name":"groupId","in":"path","description":"Group ID","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerCreateRestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Customer created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateResultRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/consumable-requests/{deviceId}/{consumableId}":{"post":{"tags":["Consumable Requests API"],"summary":"Create a consumable request by device ID and consumable ID.","operationId":"createConsumableRequest","parameters":[{"name":"deviceId","in":"path","description":"Device ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"consumableId","in":"path","description":"Consumable ID","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConsumableRequestCreateRestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Consumable request created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateResultRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/user/{UUID}/customers":{"patch":{"tags":["Portal User API"],"summary":"Update the customers assigned to a customer scope portal user by user UUID.","operationId":"updatePortalUserCustomers","parameters":[{"name":"UUID","in":"path","description":"Portal User UUID","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of customer IDs","items":{"type":"integer","format":"int32"}}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Updated portal user","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateResultRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/notes/{noteId}":{"delete":{"tags":["Notes API"],"summary":"Delete a note.","operationId":"deleteNote","parameters":[{"name":"noteId","in":"path","description":"Note ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Deleted note.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateResultRestDTO"}}}}},"security":[{"JWT":[]}]},"patch":{"tags":["Notes API"],"summary":"Update a note by ID.","operationId":"updateNote","parameters":[{"name":"noteId","in":"path","description":"Note ID","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NoteUpdateRestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Updated note","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateResultRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/monitors/{monitorId}":{"patch":{"tags":["Monitor API"],"summary":"Update a monitor by its ID.","operationId":"updateMonitor","parameters":[{"name":"monitorId","in":"path","description":"Monitor ID","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitorUpdateRestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Updated monitor","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateResultRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/devices":{"get":{"tags":["Device API"],"summary":"Get a list of devices by Customer ID.","operationId":"listDevices","parameters":[{"name":"customerId","in":"query","description":"Customer Id","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"includeExtendedFields","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeCustomFields","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"List of customer devices","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeviceRestDTO"}}}}}},"security":[{"JWT":[]}]},"patch":{"tags":["Device API"],"summary":"Perform updates to multiple devices.","operationId":"updateDevices","requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"Device Updates","items":{"$ref":"#/components/schemas/DeviceUpdateRestDTO"}}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Device updated","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UpdateResultRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/devices/{deviceId}":{"get":{"tags":["Device API"],"summary":"Get a device by Device ID.","operationId":"getDeviceByOmpId","parameters":[{"name":"deviceId","in":"path","description":"Device ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"includeExtendedFields","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeCustomFields","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Device successfully queried.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeviceRestDTO"}}}}},"security":[{"JWT":[]}]},"delete":{"tags":["Device API"],"summary":"Delete a device by its Device ID. Use delete mode: HIDE, BLOCK, DELETE","operationId":"deleteDevice","parameters":[{"name":"deviceId","in":"path","description":"Device ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"deleteMode","in":"query","description":"Delete Mode: HIDE, BLOCK, DELETE","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Device deleted.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateResultRestDTO"}}}}},"security":[{"JWT":[]}]},"patch":{"tags":["Device API"],"summary":"Update a device by its Device ID.","operationId":"updateDevice","parameters":[{"name":"deviceId","in":"path","description":"Device ID","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceUpdateRestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Device updated.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateResultRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/customers/{customerId}":{"patch":{"tags":["Customer API"],"summary":"Update a customer by ID.","operationId":"updateCustomer","parameters":[{"name":"customerId","in":"path","description":"Customer ID","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerUpdateRestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Updated customer","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateResultRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/consumable-requests/{requestId}":{"patch":{"tags":["Consumable Requests API"],"summary":"Update a consumable request by its request ID.","operationId":"updateConsumableRequest","parameters":[{"name":"requestId","in":"path","description":"Request ID","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConsumableRequestUpdateRestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Updated consumable request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateResultRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/zones":{"get":{"tags":["Zone API"],"summary":"Get a list of zone details by Customer ID.","operationId":"getZonesByCustomerId","parameters":[{"name":"customerId","in":"query","description":"Customer Id","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"List of zone details","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ZoneRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/zones/{id}":{"get":{"tags":["Zone API"],"summary":"Get a zone by ID.","operationId":"getZoneById","parameters":[{"name":"id","in":"path","description":"Zone ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Retrieve zone","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ZoneRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/user":{"get":{"tags":["Portal User API"],"summary":"Get a list of portal users.","operationId":"getPortalUsers","parameters":[{"name":"email","in":"query","description":"User e-mail address","required":true,"schema":{"type":"string"}},{"name":"scope","in":"query","description":"User scope","required":true,"schema":{"type":"string","enum":["GLOBAL","GROUP","CUSTOMER"]}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"List of portal users.","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PortalUserRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/territories":{"get":{"tags":["Territory API"],"summary":"Get a list of territories.","operationId":"getTerritories","responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"List of territories.","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TerritoryRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/territories/{id}":{"get":{"tags":["Territory API"],"summary":"Get a territory by ID.","operationId":"getTerritory","parameters":[{"name":"id","in":"path","description":"Territory ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Retrieved territory","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TerritoryRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/notes/{id}":{"get":{"tags":["Notes API"],"summary":"Get a note by ID.","operationId":"getNote","parameters":[{"name":"id","in":"path","description":"Note ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Retrieved note","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NoteRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/notes/type":{"get":{"tags":["Notes API"],"summary":"Get all the notes for an entity (customer/monitor/device) by entity ID.","operationId":"getNoteByTypeAndEntityID","parameters":[{"name":"type","in":"query","description":"customer/monitor/device","required":true,"schema":{"type":"string"}},{"name":"entityId","in":"query","description":"ID of the customer/monitor/device","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Retrieved note","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NoteRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/monitors/{id}":{"get":{"tags":["Monitor API"],"summary":"Get a monitor by ID.","operationId":"getMonitor","parameters":[{"name":"id","in":"path","description":"Monitor ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"includeExtendedFields","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeCustomFields","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Retrieved monitor","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MonitorRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/monitors/search":{"get":{"tags":["Monitor API"],"summary":"Monitor search.","operationId":"searchMonitors","parameters":[{"name":"q","in":"query","description":"Query","required":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"maxResults","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"includeExtendedFields","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeCustomFields","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Searched monitors","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MonitorRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/monitors/byname/{name}":{"get":{"tags":["Monitor API"],"summary":"Get a monitor by name.","operationId":"getMonitorByName","parameters":[{"name":"name","in":"path","description":"Monitor Name","required":true,"schema":{"type":"string"}},{"name":"includeExtendedFields","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeCustomFields","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Retrieved monitor by name","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MonitorRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/media/zebra/device/{deviceId}":{"get":{"tags":["Media API"],"summary":"Get the latest media for a Zebra device by device id.","operationId":"getZebraMediaByDeviceOmpId","parameters":[{"name":"deviceId","in":"path","description":"Device ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Device media successfully queried.","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ZMediaRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/media/zebra/customer/{customerId}":{"get":{"tags":["Media API"],"summary":"Get the latest media for Zebra devices by customer id.","operationId":"getZebraMediaByCustomerID","parameters":[{"name":"customerId","in":"path","description":"Customer ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Device media successfully queried.","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ZMediaRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/groups":{"get":{"tags":["Group API"],"summary":"Get a list of groups.","operationId":"getGroups","parameters":[{"name":"name","in":"query","description":"Group name","required":false,"schema":{"type":"string"}},{"name":"territoryId","in":"query","description":"Territory ID","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"includeCustomFields","in":"query","description":"Include custom fields in response (optional)","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"List of groups.","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/groups/{id}":{"get":{"tags":["Group API"],"summary":"Get a group by ID.","operationId":"getGroup","parameters":[{"name":"id","in":"path","description":"Group ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"includeCustomFields","in":"query","description":"Include custom fields in response (optional)","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Retrieved group","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GroupRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/devices/{deviceId}/supplylevels":{"get":{"tags":["Device API"],"summary":"Get status of marker and waste consumables for a device.","operationId":"getDeviceSupplyLevels","parameters":[{"name":"deviceId","in":"path","description":"Device ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Got device supply levels","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeviceConsumableLevelsRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/devices/{deviceId}/meters/usage":{"get":{"tags":["Device API"],"summary":"Get processed billing meter usage (print volumes) for a device within a date period.","description":"End date parameter is EXCLUSIVE, so to obtain usage for a full calendar month (example Jan 2021) use startDate=2021-01-01 and endDate=2021-02-01 (**NOT** 2021-01-31). \nResults are unavailable for Disabled devices.","operationId":"getDeviceMetersUsage","parameters":[{"name":"deviceId","in":"path","description":"Device ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"startDate","in":"query","description":"Usage period start date in format yyyy-MM-dd","required":true,"schema":{"type":"string"}},{"name":"endDate","in":"query","description":"Usage period end date (exclusive) in format yyyy-MM-dd","required":true,"schema":{"type":"string"}},{"name":"includeStartAndEndMeters","in":"query","description":"Include the starting and ending meter readings in response (optional)","required":false,"schema":{"type":"boolean"}},{"name":"includeExtendedMeters","in":"query","description":"Include less commonly used meter types in response (optional)","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Got device meters usage","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeviceMeterUsageRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/devices/{deviceId}/meters/latest":{"get":{"tags":["Device API"],"summary":"Retrieve the latest set of processed billing meters recorded for a device.","description":"Because billing meter processing is performed overnight this call typically returns yesterday's meter readings. Results are unavailable for Disabled devices.","operationId":"getDeviceMetersLatestBilling","parameters":[{"name":"deviceId","in":"path","description":"Device ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"includeExtendedMeters","in":"query","description":"Include less commonly used meter types in response (optional)","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Got latest billing meters for device","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeviceMeterRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/devices/{deviceId}/meters/history":{"get":{"tags":["Device API"],"summary":"Get day by day processed billing meter history for a device.","description":"The maximum history period allowed is 1000 days. Results are unavailable for Disabled devices.","operationId":"getDeviceMetersHistory","parameters":[{"name":"deviceId","in":"path","description":"Device ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"startDate","in":"query","description":"Starting date in format yyyy-MM-dd","required":true,"schema":{"type":"string"}},{"name":"endDate","in":"query","description":"Ending date (inclusive) in format yyyy-MM-dd","required":true,"schema":{"type":"string"}},{"name":"includeExtendedMeters","in":"query","description":"Include less commonly used meter types in response (optional)","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Got device meters history for device","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeviceMeterRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/devices/{deviceId}/meters/current":{"get":{"tags":["Device API"],"summary":"Retrieve the current (today's) un-processed set of meters recorded for a device.","description":"For devices in contact the reading will usually be from today. Unlike the figures obtained from the history and usage APIs these figures are 'un-smoothed'.","operationId":"getDeviceMetersCurrent","parameters":[{"name":"deviceId","in":"path","description":"Device ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"includeExtendedMeters","in":"query","description":"Include less commonly used meter types in response (optional)","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Got current device meters","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeviceMeterRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/devices/{deviceId}/consumables":{"get":{"tags":["Device API"],"summary":"Get a list of consumables and their details for a device.","operationId":"getDeviceConsumables","parameters":[{"name":"deviceId","in":"path","description":"Device ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Device updated.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeviceConsumablesRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/devices/{deviceId}/consumables/history":{"get":{"tags":["Device API"],"summary":"Retrieve the level reading history for a consumable in a device.","operationId":"listConsumablesLevelHistory","parameters":[{"name":"deviceId","in":"path","description":"The device ID to retrieve consumable level history for.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"consumableIndex","in":"query","description":"The position index of the consumable in the device.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"startDate","in":"query","description":"Start date in format yyyy-MM-dd. Default is today minus 90 days.","required":false,"schema":{"type":"string"}},{"name":"endDate","in":"query","description":"End date in format yyyy-MM-dd. Default is today.","required":false,"schema":{"type":"string"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Got consumable level history for device","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeviceConsumableHistoryRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/devices/{deviceId}/alerts/history":{"get":{"tags":["Device API"],"summary":"Retrieve historic alert conditions for a device.","operationId":"listHistoricDeviceAlerts","parameters":[{"name":"deviceId","in":"path","description":"Device ID to retrieve historic alerts for.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"alertClasses","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["UNKNOWN","IGNORE","CONS_OUT","CONS_LOW","SYSTEM_FAIL","SYSTEM_WARNING","USER_ACTION","SYSTEM_CHANGE","JAM","MEDIA_OUT","MEDIA_LOW","USER_PROBLEM","PRINT_INFO","INFORMATION","READY","IDENTITY_CHANGE","AVAILABILITY","SUBUNIT_LOW","SUBUNIT_OUT","OPEN","OTHER"]}}},{"name":"fromDate","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"toDate","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"maxResults","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Got historic alerts for device","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeviceAlertRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/devices/{deviceId}/alerts/current":{"get":{"tags":["Device API"],"summary":"Retrieve current active alert conditions for a device.","operationId":"listCurrentDeviceAlerts","parameters":[{"name":"deviceId","in":"path","description":"Device ID to retrieve current alerts for.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Got current alerts for device","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeviceAlertRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/devices/supplylevels":{"get":{"tags":["Device API"],"summary":"Get current supply status for all devices of a customer.","operationId":"listDeviceSupplyLevels","parameters":[{"name":"customerId","in":"query","description":"Customer ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Listed device supply levels","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeviceConsumableLevelsRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/devices/search":{"get":{"tags":["Device API"],"summary":"Search for devices.","operationId":"searchDevices","parameters":[{"name":"q","in":"query","description":"Query","required":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"maxResults","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"includeExtendedFields","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeCustomFields","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Search completed","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeviceRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/devices/meters/{customerId}":{"get":{"tags":["Device API"],"summary":"Get processed device billing counters by Customer ID. If no billing date is supplied it defaults to the most recent.","operationId":"getMetersByCustomerIdAndBillingDate","parameters":[{"name":"customerId","in":"path","description":"Customer ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"billingDate","in":"query","description":"Billing Date in format yyyy-MM-dd","required":false,"schema":{"type":"string"}},{"name":"includeExtendedMeters","in":"query","description":"Include less commonly used meter types in response (optional)","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Device meters successfully queried.","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeviceMeterRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/devices/meters/latestbydate/{customerId}":{"get":{"tags":["Device API"],"summary":"Retrieve the latest set of meters (processed or un-processed) by Customer ID and maximum read date/time.","operationId":"getLatestMetersByCustomerIdAndMaxReadDateTime","parameters":[{"name":"customerId","in":"path","description":"Customer ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"includeExtendedMeters","in":"query","description":"Include less commonly used meter types in response (optional)","required":false,"schema":{"type":"boolean"}},{"name":"maxReadDateTimeLocal","in":"query","description":"The maximum read date/time format yyyy-MM-ddTHH:mm:ss (local to the DCA).","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Device meters successfully queried.","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeviceMeterRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/devices/consumables":{"get":{"tags":["Device API"],"summary":"Get current consumable details for all devices of a customer.","operationId":"listDeviceConsumables","parameters":[{"name":"customerId","in":"query","description":"Customer ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Listed device consumables","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeviceConsumablesRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/delivery-locations":{"get":{"tags":["Delivery Location API"],"summary":"Get a list of delivery location details by Customer ID.","operationId":"getDeliveryLocationsByCustomerId","parameters":[{"name":"customerId","in":"query","description":"Customer Id","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"List of delivery location details","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeliveryLocationRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/delivery-locations/{id}":{"get":{"tags":["Delivery Location API"],"summary":"Get a delivery location by ID.","operationId":"getDeliveryLocationById","parameters":[{"name":"id","in":"path","description":"Delivery Location ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Retrieve delivery location","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeliveryLocationRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/customers":{"get":{"tags":["Customer API"],"summary":"Get a list of customers.","operationId":"getCustomers","parameters":[{"name":"name","in":"query","description":"Customer name","required":false,"schema":{"type":"string"}},{"name":"status","in":"query","description":"Customer status (ACTIVE or EXPIRED)","required":false,"schema":{"type":"string"}},{"name":"groupId","in":"query","description":"Group ID","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"includeCustomFields","in":"query","description":"Include custom fields in response (optional)","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"List of customers.","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CustomerRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/customers/{id}":{"get":{"tags":["Customer API"],"summary":"Get a customer by ID.","operationId":"getCustomer","parameters":[{"name":"id","in":"path","description":"Customer ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"includeCustomFields","in":"query","description":"Include custom fields in response (optional)","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Retrieved customer","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomerRestDTO"}}}}},"security":[{"JWT":[]}]}},"/api/customers/search":{"get":{"tags":["Customer API"],"summary":"Search for customers.","operationId":"searchCustomers","parameters":[{"name":"q","in":"query","description":"Query e.g. name:~abc status:ACTIVE","required":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"maxResults","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"includeExtendedFields","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeCustomFields","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Search completed","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CustomerRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/consumable-requests":{"get":{"tags":["Consumable Requests API"],"summary":"Get consumable requests.","operationId":"listConsumableRequests","parameters":[{"name":"customerId","in":"query","description":"(Optional) Customer Id. If omitted requests for all customers will be returned.","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"workflowStatus","in":"query","required":false,"schema":{"type":"string","enum":["OUTSTANDING","QUERIED","ACTIONED","IGNORED","DELETED","COMPLETED"]}},{"name":"consumableTypes","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["UNKNOWN","TONER","INK","WASTE","DRUM","DEVELOPER","FUSER","MAINTENANCE_KIT","TRANSFER_UNIT","DUPLEXER","FEEDER","ROLLER","BELT","TRAY","WAX","RIBBON","GEL","MEDIA_ROLL","CLEANING","CUTTING","FAX_KIT","GLUE","FILTER","OIL","STAPLES","HOLEPUNCH","STACKER","STAPLER","BOOKLET_MAKER","MAILBOX","WARRANTY","SERVICE_PLAN","SUPPORT_PLAN","MEMORY","POSTSCRIPT_EXPANSION","HDD","NETWORK_ADAPTER","STAND_OR_CABINET","OTHER"]}}},{"name":"consumableColours","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["UNKNOWN","NONE","BLACK","CYAN","MAGENTA","YELLOW","RED","GREEN","BLUE","WHITE","GREY","TRICOLOUR","BICOLOUR","QUADCOLOUR","MULTICOLOUR","OTHER"]}}},{"name":"fromDate","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"toDate","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"statusCommentFilter","in":"query","required":false,"schema":{"type":"string"}},{"name":"externalRefFilter","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Retrieved consumable requests","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ConsumableRequestRestDTO"}}}}}},"security":[{"JWT":[]}]}},"/api/consumable-requests/{requestId}/history":{"get":{"tags":["Consumable Requests API"],"summary":"Get status and comment history for a consumable request","operationId":"getConsumableRequestHistory","parameters":[{"name":"requestId","in":"path","description":"Request ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Retrieved status and comment history for consumable request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ConsumableRequestHistoryRestDTO"}}}}},"security":[{"JWT":[]}]}}},"components":{"schemas":{"NoteCreateRestDTO":{"required":["entityId","noteType"],"type":"object","properties":{"externalRef":{"maxLength":64,"minLength":0,"type":"string","description":"Note reference in external system"},"category":{"maxLength":64,"minLength":0,"type":"string","description":"Note category"},"subject":{"maxLength":128,"minLength":0,"type":"string","description":"Note subject"},"message":{"maxLength":1024,"minLength":0,"type":"string","description":"Content of the note"},"hierarchical":{"type":"boolean","description":"Display note on child entities"},"expires":{"type":"string","description":"Display the note until this date/time (UTC), e.g. 2024-09-30 23:59:59","format":"date-time"},"colour":{"type":"string","description":"Note colour (coral|peach|sand|mint|sage|fog|storm|dusk)","enum":["coral","peach","sand","mint","sage","fog","storm","dusk"]},"noteType":{"type":"string","description":"Note type (CUSTOMER|MONITOR|DEVICE)","enum":["CUSTOMER","MONITOR","DEVICE"]},"entityId":{"type":"integer","description":"ID of the customer, monitor or device","format":"int32"}},"description":"Note Create DTO"},"UpdateResultRestDTO":{"type":"object","properties":{"id":{"type":"integer","description":"Entity ID","format":"int32"},"success":{"type":"boolean","description":"True if the update was performed successfully"},"message":{"type":"string","description":"Descriptive failure reason or success message"}},"description":"Result of performing an update on an entity"},"MonitorCreateRestDTO":{"required":["customerId","monitorName"],"type":"object","properties":{"address":{"maxLength":255,"minLength":0,"type":"string","description":"The address line 1 or 2 of the technical contact.","example":"10 Sandwich Street"},"city":{"maxLength":40,"minLength":0,"type":"string","description":"The city of the technical contact.","example":"Breadford"},"zip":{"maxLength":12,"minLength":0,"type":"string","description":"The zip code or postal code of the technical contact."},"country":{"maxLength":40,"minLength":0,"type":"string","description":"The country of the technical contact.","example":"United Kingdom"},"contactName":{"maxLength":100,"minLength":0,"type":"string","description":"The name of the technical contact.","example":"John Smith"},"contactEmail":{"maxLength":40,"minLength":0,"type":"string","description":"The email address of the technical contact.","example":"john.smith@technical.com"},"contactTelephone":{"maxLength":20,"minLength":0,"type":"string","description":"The telephone number for the technical contact."},"customFieldValues":{"type":"object","additionalProperties":{"type":"object"}},"monitorName":{"maxLength":100,"minLength":0,"type":"string","description":"The name of the monitor. Must be between 4 and 64 characters long and contain only lower-case letters, numbers, underscore(_) and hyphens(-).","example":"test_monitor_1"},"customerId":{"minimum":1,"type":"integer","description":"The ID of the parent customer for the monitor.","format":"int32","example":440},"licenseExpiryDate":{"type":"string","description":"Expiry date of the licence. Will be defaulted by Portal configuration if not specified.","example":"2033-08-23"},"acquireDcaLicense":{"type":"boolean","description":"Determines if a licence should be acquired from licensing server. A licence is required for installing a DCA.","example":true,"default":true},"createXmppAccount":{"type":"boolean","description":"Determines if an XMPP account should be created. Required for a DCA installation to communicate with the Portal.","example":true,"default":true},"licenceProviderCode":{"type":"string","description":"The licence provider code. Will be defaulted from Portal configuration if not specified.","example":"code123"},"monitorType":{"type":"string","description":"The monitor type. We recommended 'DCA' which requires DCA software to be installed by the customer to discover and monitor devices and automatically obtain up to date readings. The 'MANUAL' option doesn't use the DCA remote monitoring software, and provides a means to input devices into the system manually and enter readings by hand.","example":"DCA","default":"DCA","enum":["MANUAL","DCA","ENT","SDA","HPC","UNKNOWN"]},"deviceLimit":{"maximum":10000,"minimum":1,"type":"integer","description":"The licence device limit. ","format":"int32","example":500}},"description":"The API call to create a monitor."},"MonitorCreateResultRestDTO":{"type":"object","properties":{"id":{"type":"integer","description":"Entity ID","format":"int32"},"success":{"type":"boolean","description":"True if the update was performed successfully"},"message":{"type":"string","description":"Descriptive failure reason or success message"},"licenceKey":{"type":"string"},"licenceDeviceLimit":{"type":"integer","format":"int32"},"licenceExpiryDate":{"type":"string","format":"date-time"},"licenceProviderCode":{"type":"string"},"hpJamRegistrationKey":{"type":"string"}}},"EautoEquipmentMessageRestDTO":{"required":["eautoCustomerNumber","eautoEquipmentID","eautoEquipmentNumber","messageID"],"type":"object","properties":{"messageID":{"type":"integer","description":"Message ID","format":"int32"},"eautoCustomerID":{"type":"integer","description":"E-Automate Customer ID","format":"int32"},"eautoCustomerNumber":{"type":"string","description":"E-Automate Customer Number"},"eautoCustomerName":{"type":"string","description":"E-Automate Customer Name"},"messageTypeID":{"type":"integer","description":"Message Type ID","format":"int32"},"subject":{"maxLength":128,"minLength":0,"type":"string","description":"Message Subject"},"message":{"maxLength":1024,"minLength":0,"type":"string","description":"Message"},"recurring":{"type":"boolean","description":"Recurring flag"},"expDate":{"type":"string","description":"Expiration date, format yyyy-MM-dd HH:mm:ss","format":"date-time"},"active":{"type":"boolean","description":"Active flag"},"createDate":{"type":"string","description":"Creation date, format yyyy-MM-dd HH:mm:ss","format":"date-time"},"lastUpdate":{"type":"string","description":"Last update date, format yyyy-MM-dd HH:mm:ss","format":"date-time"},"eautoEquipmentID":{"type":"integer","description":"E-Automate Equipment ID","format":"int32"},"eautoEquipmentNumber":{"type":"string","description":"E-Automate Equipment Number"},"eautoEquipmentSerial":{"type":"string","description":"E-Automate Equipment Serial"}},"description":"Equipment message contents"},"DeviceNoteRestDTO":{"type":"object","properties":{"noteType":{"type":"string","enum":["CUSTOMER","MONITOR","DEVICE"]},"externalRef":{"type":"string","description":"External system reference"},"category":{"type":"string","description":"Note category"},"subject":{"type":"string","description":"Note subject line"},"message":{"type":"string","description":"Content of the note"},"hierarchical":{"type":"boolean","description":"Does the note apply to child entitities"},"colour":{"type":"string","enum":["coral","peach","sand","mint","sage","fog","storm","dusk"]},"fromReadOnlySource":{"type":"boolean"},"expires":{"type":"string","description":"Expiration date/time","format":"date-time"},"active":{"type":"boolean","description":"Is the note active or not"},"id":{"type":"integer","description":"Note ID","format":"int32"},"deviceId":{"type":"integer","description":"Device ID","format":"int32"}}},"EautoCustomerMessageRestDTO":{"required":["eautoCustomerNumber","messageID"],"type":"object","properties":{"messageID":{"type":"integer","description":"Message ID","format":"int32"},"eautoCustomerID":{"type":"integer","description":"E-Automate Customer ID","format":"int32"},"eautoCustomerNumber":{"type":"string","description":"E-Automate Customer Number"},"eautoCustomerName":{"type":"string","description":"E-Automate Customer Name"},"messageTypeID":{"type":"integer","description":"Message Type ID","format":"int32"},"subject":{"maxLength":128,"minLength":0,"type":"string","description":"Message Subject"},"message":{"maxLength":1024,"minLength":0,"type":"string","description":"Message"},"recurring":{"type":"boolean","description":"Recurring flag"},"expDate":{"type":"string","description":"Expiration date, format yyyy-MM-dd HH:mm:ss","format":"date-time"},"active":{"type":"boolean","description":"Active flag"},"createDate":{"type":"string","description":"Creation date, format yyyy-MM-dd HH:mm:ss","format":"date-time"},"lastUpdate":{"type":"string","description":"Last update date, format yyyy-MM-dd HH:mm:ss","format":"date-time"}},"description":"Customer message contents"},"CustomerNoteRestDTO":{"type":"object","properties":{"noteType":{"type":"string","enum":["CUSTOMER","MONITOR","DEVICE"]},"externalRef":{"type":"string","description":"External system reference"},"category":{"type":"string","description":"Note category"},"subject":{"type":"string","description":"Note subject line"},"message":{"type":"string","description":"Content of the note"},"hierarchical":{"type":"boolean","description":"Does the note apply to child entitities"},"colour":{"type":"string","enum":["coral","peach","sand","mint","sage","fog","storm","dusk"]},"fromReadOnlySource":{"type":"boolean"},"expires":{"type":"string","description":"Expiration date/time","format":"date-time"},"active":{"type":"boolean","description":"Is the note active or not"},"id":{"type":"integer","description":"Note ID","format":"int32"},"customerId":{"type":"integer","description":"Customer ID","format":"int32"}}},"DiscoveryRangeCreateRestDTO":{"required":["discoveryRangeName","enabled","firstIp","lastOctet","monitorId"],"type":"object","properties":{"discoveryRangeName":{"maxLength":100,"minLength":0,"type":"string","description":"The name of the discovery range. Must be between 1 and 100 characters long.","example":"discovery-range"},"monitorId":{"minimum":1,"type":"integer","description":"The ID of the monitor to which this discovery range pertains.","format":"int32","example":1},"firstIp":{"type":"string","description":"The first IP address of the IP address range.","example":"127.0.0.1"},"lastOctet":{"maximum":255,"minimum":0,"type":"integer","description":"The last octet of the IP address range.","format":"int32","example":255},"enabled":{"type":"boolean","description":"Whether the discovery range is enabled.","example":true}}},"CustomerCreateRestDTO":{"type":"object","properties":{"name":{"maxLength":100,"minLength":0,"type":"string"},"address":{"maxLength":254,"minLength":0,"type":"string"},"city":{"maxLength":50,"minLength":0,"type":"string"},"zip":{"maxLength":12,"minLength":0,"type":"string"},"country":{"maxLength":50,"minLength":0,"type":"string"},"contactName":{"maxLength":100,"minLength":0,"type":"string"},"contactEmail":{"type":"string"},"telephoneNumber":{"maxLength":20,"minLength":0,"type":"string"},"customFieldValues":{"type":"object","additionalProperties":{"type":"object"}}},"description":"Customer Create DTO"},"ConsumableRequestCreateRestDTO":{"type":"object","properties":{"comment":{"maxLength":1024,"minLength":0,"type":"string"},"externalRef":{"maxLength":200,"minLength":0,"type":"string"}},"description":"Request Create DTO"},"NoteUpdateRestDTO":{"type":"object","properties":{"externalRef":{"maxLength":64,"minLength":0,"type":"string","description":"Note reference in external system"},"category":{"maxLength":64,"minLength":0,"type":"string","description":"Note category"},"subject":{"maxLength":128,"minLength":0,"type":"string","description":"Note subject"},"message":{"maxLength":1024,"minLength":0,"type":"string","description":"Content of the note"},"hierarchical":{"type":"boolean","description":"Display note on child entities"},"expires":{"type":"string","description":"Display the note until this date/time (UTC), e.g. 2024-09-30 23:59:59","format":"date-time"},"colour":{"type":"string","description":"Note colour (coral|peach|sand|mint|sage|fog|storm|dusk)","enum":["coral","peach","sand","mint","sage","fog","storm","dusk"]}},"description":"Note Update"},"MonitorUpdateRestDTO":{"type":"object","properties":{"address":{"maxLength":255,"minLength":0,"type":"string","description":"The address line 1 or 2 of the technical contact.","example":"10 Sandwich Street"},"city":{"maxLength":40,"minLength":0,"type":"string","description":"The city of the technical contact.","example":"Breadford"},"zip":{"maxLength":12,"minLength":0,"type":"string","description":"The zip code or postal code of the technical contact."},"country":{"maxLength":40,"minLength":0,"type":"string","description":"The country of the technical contact.","example":"United Kingdom"},"contactName":{"maxLength":100,"minLength":0,"type":"string","description":"The name of the technical contact.","example":"John Smith"},"contactEmail":{"maxLength":40,"minLength":0,"type":"string","description":"The email address of the technical contact.","example":"john.smith@technical.com"},"contactTelephone":{"maxLength":20,"minLength":0,"type":"string","description":"The telephone number for the technical contact."},"customFieldValues":{"type":"object","additionalProperties":{"type":"object"}},"monitorId":{"type":"integer","format":"int32"}},"description":"Monitor Update"},"DiscoveryRangeUpdateRestDTO":{"required":["discoveryRangeId","monitorId"],"type":"object","properties":{"discoveryRangeId":{"minimum":1,"type":"integer","description":"The ID of the discovery range.","format":"int32","example":1},"discoveryRangeName":{"maxLength":100,"minLength":1,"type":"string","description":"The name of the discovery range. Must be between 1 and 100 characters long.","example":"discovery-range"},"monitorId":{"minimum":1,"type":"integer","description":"The ID of the monitor to which this discovery range pertains.","format":"int32","example":1},"firstIp":{"type":"string","description":"The first IP address of the IP address range.","example":"127.0.0.1"},"lastOctet":{"maximum":255,"minimum":0,"type":"integer","description":"The last octet of the IP address range.","format":"int32","example":255},"enabled":{"type":"boolean","description":"Whether the discovery range is enabled.","example":true}}},"DeviceUpdateRestDTO":{"required":["deviceId"],"type":"object","properties":{"monitorStatus":{"maxLength":1,"minLength":1,"pattern":"^[XYIJ]$","type":"string"},"assetNumber":{"maxLength":40,"minLength":0,"type":"string"},"stickerNumber":{"maxLength":40,"minLength":0,"type":"string"},"comment":{"maxLength":200,"minLength":0,"type":"string"},"deliveryLocationId":{"minimum":0,"type":"integer","description":"Delivery location id equals to zero means no delivery location will be associated to the device.","format":"int32"},"zoneId":{"minimum":0,"type":"integer","description":"Zone id equals to zero means no zone will be associated to the device.","format":"int32"},"customFieldValues":{"type":"object","additionalProperties":{"type":"object"}},"deviceId":{"type":"integer","format":"int32"}},"description":"Device Update"},"CustomerUpdateRestDTO":{"type":"object","properties":{"name":{"maxLength":100,"minLength":0,"type":"string"},"address":{"maxLength":254,"minLength":0,"type":"string"},"city":{"maxLength":50,"minLength":0,"type":"string"},"zip":{"maxLength":12,"minLength":0,"type":"string"},"country":{"maxLength":50,"minLength":0,"type":"string"},"contactName":{"maxLength":100,"minLength":0,"type":"string"},"contactEmail":{"type":"string"},"telephoneNumber":{"maxLength":20,"minLength":0,"type":"string"},"customFieldValues":{"type":"object","additionalProperties":{"type":"object"}},"status":{"type":"string","enum":["ACTIVE","EXPIRED"]}},"description":"Customer Update"},"ConsumableRequestUpdateRestDTO":{"type":"object","properties":{"comment":{"maxLength":1024,"minLength":0,"type":"string"},"externalRef":{"maxLength":200,"minLength":0,"type":"string"},"requestId":{"type":"integer","format":"int32","readOnly":true},"courierId":{"type":"integer","format":"int32"},"trackingId":{"maxLength":100,"minLength":0,"type":"string"},"statusUpdate":{"type":"string","enum":["ACTION","QUERY","IGNORE","UNIGNORE","DELETE","DISPATCHED","DELAYED","DELIVERED","REJECTED"]}},"description":"Request Update"},"ZoneRestDTO":{"type":"object","properties":{"zoneId":{"type":"integer","format":"int32"},"customerId":{"type":"integer","format":"int32"},"name":{"type":"string"},"site":{"type":"string"},"building":{"type":"string"},"postcode":{"type":"string"},"wing":{"type":"string"},"floor":{"type":"string"},"room":{"type":"string"},"department":{"type":"string"},"section":{"type":"string"},"deliveryLocationId":{"type":"integer","format":"int32"}}},"PortalUserRestDTO":{"type":"object","properties":{"uuid":{"type":"string","description":"The user UUID"},"realname":{"type":"string","description":"Full Name"},"email":{"type":"string","description":"Email Address"},"customerIds":{"uniqueItems":true,"type":"array","description":"The list of customer IDs the user has access to. Only for CUSTOMER scope users.","items":{"type":"integer","description":"The list of customer IDs the user has access to. Only for CUSTOMER scope users.","format":"int32"}}}},"TerritoryRestDTO":{"type":"object","properties":{"name":{"type":"string"},"territoryId":{"type":"integer","description":"Territory ID","format":"int32"}}},"NoteRestDTO":{"type":"object","properties":{"noteType":{"type":"string","enum":["CUSTOMER","MONITOR","DEVICE"]},"entityId":{"type":"integer","format":"int32"},"externalRef":{"type":"string","description":"External system reference"},"category":{"type":"string","description":"Note category"},"subject":{"type":"string","description":"Note subject line"},"message":{"type":"string","description":"Content of the note"},"hierarchical":{"type":"boolean","description":"Does the note apply to child entitities"},"colour":{"type":"string","enum":["coral","peach","sand","mint","sage","fog","storm","dusk"]},"fromReadOnlySource":{"type":"boolean"},"expires":{"type":"string","description":"Expiration date/time","format":"date-time"},"active":{"type":"boolean","description":"Is the note active or not"},"id":{"type":"integer","description":"Note ID","format":"int32"}}},"MonitorExtendedFieldsRestDTO":{"type":"object","properties":{"address":{"type":"string"},"city":{"type":"string"},"zip":{"type":"string"},"country":{"type":"string"},"contactName":{"type":"string"},"contactEmail":{"type":"string"},"contactTelephone":{"type":"string"}}},"MonitorRestDTO":{"type":"object","properties":{"customerId":{"type":"integer","format":"int32"},"name":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"remoteApplication":{"type":"string"},"online":{"type":"boolean"},"lastContact":{"type":"string","format":"date-time"},"status":{"type":"string","enum":["ACTIVE","DISCONTINUED"]},"extendedFields":{"$ref":"#/components/schemas/MonitorExtendedFieldsRestDTO"},"customFieldValues":{"type":"object","additionalProperties":{"type":"object"}},"licenceProviderCode":{"type":"string"},"licenceKey":{"type":"string"},"licenceExpiryDate":{"type":"string"},"licenceDeviceLimit":{"type":"integer","format":"int32"},"hostName":{"type":"string"},"hostIP":{"type":"string"},"hostOS":{"type":"string"},"monitorId":{"type":"integer","description":"Monitor ID","format":"int32"}}},"ZMediaRestDTO":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"counter":{"type":"integer","format":"int32"},"part":{"type":"string"},"serial":{"type":"string"},"format":{"type":"string"},"mediaType":{"type":"string"},"dpi":{"type":"integer","format":"int32"},"length":{"type":"integer","format":"int32"},"lengthMm":{"type":"string"},"lengthInches":{"type":"string"},"width":{"type":"integer","format":"int32"},"widthMm":{"type":"string"},"widthInches":{"type":"string"},"totalLabelCount":{"type":"integer","format":"int32"},"labelsInitial":{"type":"integer","format":"int32"},"labelsRemain":{"type":"integer","format":"int32"},"deviceId":{"type":"integer","format":"int32"},"loaded":{"type":"boolean"}}},"GroupRestDTO":{"type":"object","properties":{"createdDate":{"type":"string","description":"Creation date","format":"date-time"},"groupId":{"type":"integer","description":"Group ID","format":"int32"},"name":{"type":"string","description":"Group Name"},"address":{"type":"string","description":"Address"},"country":{"type":"string","description":"Country"},"territory":{"$ref":"#/components/schemas/TerritoryRestDTO"},"customFieldValues":{"type":"object","additionalProperties":{"type":"object","description":"Custom Field Values"},"description":"Custom Field Values"}}},"DiscoveryRangeRestDTO":{"type":"object","properties":{"discoveryRangeId":{"type":"integer","format":"int32"},"monitorId":{"type":"integer","format":"int32"},"discoveryRangeName":{"type":"string"},"startIpAddress":{"type":"string"},"stopIpAddress":{"type":"string"},"enabled":{"type":"boolean"}}},"DeviceExtendedFieldsRestDTO":{"type":"object","properties":{"macAddress":{"type":"string"},"hostName":{"type":"string"},"comment":{"type":"string"},"monitorName":{"type":"string"},"manufacturer":{"type":"string"},"model":{"type":"string"},"mibDescription":{"type":"string"},"sku":{"type":"string"},"internalId":{"type":"integer","format":"int32"},"zone":{"type":"string"},"zoneId":{"type":"integer","format":"int32"},"location":{"type":"string"},"firmware":{"type":"string"},"deliveryLocationId":{"type":"integer","format":"int32"},"deliveryLocation":{"type":"string"}}},"DeviceRestDTO":{"type":"object","properties":{"customerId":{"type":"integer","format":"int32"},"serialNumber":{"type":"string"},"monitorStatus":{"type":"string"},"assetNumber":{"type":"string"},"stickerNumber":{"type":"string"},"discoveryDate":{"type":"string","format":"date-time"},"lastContact":{"type":"string","format":"date-time"},"extendedFields":{"$ref":"#/components/schemas/DeviceExtendedFieldsRestDTO"},"customFieldValues":{"type":"object","additionalProperties":{"type":"object"}},"registered":{"type":"string","format":"date-time"},"deviceId":{"type":"integer","description":"Device ID","format":"int32"},"ipAddress":{"type":"string","description":"IP Address"}}},"DeviceConsumableLevelRestDTO":{"type":"object","properties":{"description":{"type":"string"},"percentLeft":{"type":"integer","format":"int32"},"daysLeft":{"type":"integer","format":"int64"},"pagesLeft":{"type":"integer","format":"int64"}}},"DeviceConsumableLevelsRestDTO":{"type":"object","properties":{"deviceId":{"type":"integer","format":"int32"},"lastRead":{"type":"string","format":"date-time"},"blackLevel":{"$ref":"#/components/schemas/DeviceConsumableLevelRestDTO"},"cyanLevel":{"$ref":"#/components/schemas/DeviceConsumableLevelRestDTO"},"magentaLevel":{"$ref":"#/components/schemas/DeviceConsumableLevelRestDTO"},"yellowLevel":{"$ref":"#/components/schemas/DeviceConsumableLevelRestDTO"},"wasteLevel":{"$ref":"#/components/schemas/DeviceConsumableLevelRestDTO"}}},"DeviceExtendedMetersRestDTO":{"type":"object","properties":{"totalImps":{"type":"integer","format":"int32"},"incomingFax":{"type":"integer","format":"int32"},"copies":{"type":"integer","format":"int32"},"simplex":{"type":"integer","format":"int32"},"lengthM":{"type":"integer","format":"int32"},"lengthFt":{"type":"integer","format":"int32"},"areaSqM":{"type":"integer","format":"int32"},"areaSqFt":{"type":"integer","format":"int32"},"inkMl":{"type":"integer","format":"int32"},"xeroxTier1":{"type":"integer","format":"int32"},"xeroxTier2":{"type":"integer","format":"int32"},"xeroxTier3":{"type":"integer","format":"int32"},"ricohDevMonoStd":{"type":"integer","format":"int32"},"ricohDevColourStd":{"type":"integer","format":"int32"},"ricohDevMonoLarge":{"type":"integer","format":"int32"},"ricohDevColourLarge":{"type":"integer","format":"int32"},"flags":{"type":"integer","format":"int32"},"billingModel":{"type":"string"}},"description":"Additional extended meter values (if requested)."},"DeviceMeterRestDTO":{"type":"object","properties":{"billingDate":{"type":"string","description":"Effective date of the reading for accounting (billing report) purposes. May extend beyond reading date. Format yyyy-MM-dd.","format":"date-time"},"readingDate":{"type":"string","description":"Date (in DCA local time zone) when the reading was taken. Format yyyy-MM-dd.","format":"date-time"},"a4Mono":{"type":"integer","description":"A4 mono count.","format":"int32"},"a4Colour":{"type":"integer","description":"A4 colour count.","format":"int32"},"engineCycles":{"type":"integer","description":"Engine cycle count.","format":"int32"},"scans":{"type":"integer","description":"Scan count.","format":"int32"},"nonCopyScans":{"type":"integer","description":"Non-copy scans count.","format":"int32"},"monoSmall":{"type":"integer","description":"Mono small count.","format":"int32"},"monoLarge":{"type":"integer","description":"Mono large count.","format":"int32"},"colourSmall":{"type":"integer","description":"Colour small count.","format":"int32"},"colourLarge":{"type":"integer","description":"Colour large count.","format":"int32"},"monoTier":{"type":"integer","description":"Mono tier count.","format":"int32"},"colourTier1":{"type":"integer","description":"Colour tier 1 count.","format":"int32"},"colourTier2":{"type":"integer","description":"Colour tier 2 count.","format":"int32"},"colourTier3":{"type":"integer","description":"Colour tier 3 count.","format":"int32"},"monoPages":{"type":"integer","description":"Mono pages/cycle count.","format":"int32"},"colourPages":{"type":"integer","description":"Colour pages/cycle count.","format":"int32"},"duplex":{"type":"integer","description":"Duplex impressions count.","format":"int32"},"extendedMeters":{"$ref":"#/components/schemas/DeviceExtendedMetersRestDTO"},"readingDateTime":{"type":"string","description":"Date and time (in DCA local time zone) when the reading was taken.","format":"date-time"},"deviceId":{"type":"integer","description":"Device ID","format":"int32"}},"description":"Metered usage (difference in meter readings) between period start and end."},"DeviceMeterUsageRestDTO":{"type":"object","properties":{"startMeters":{"$ref":"#/components/schemas/DeviceMeterRestDTO"},"endMeters":{"$ref":"#/components/schemas/DeviceMeterRestDTO"},"usageMeters":{"$ref":"#/components/schemas/DeviceMeterRestDTO"},"startBillingDate":{"type":"string","description":"Accounting date of the earliest available (start) reading within the requested usage period. Format yyyy-MM-dd.","format":"date-time"},"endBillingDate":{"type":"string","description":"Accounting date of the latest available (end) reading within the requested usage period. Format yyyy-MM-dd.","format":"date-time"},"startReadingDate":{"type":"string","description":"The date and time when the meter readings used for period start were obtained.","format":"date-time"},"endReadingDate":{"type":"string","description":"The date and time when the meter readings used for period end were obtained.","format":"date-time"}},"description":"Metered usage (print volume) between two dates."},"DeviceConsumableDetailRestDTO":{"type":"object","properties":{"description":{"type":"string"},"percentLeft":{"type":"integer","format":"int32"},"daysLeft":{"type":"integer","format":"int64"},"pagesLeft":{"type":"integer","format":"int64"},"consumableId":{"type":"integer","format":"int32"},"index":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["UNKNOWN","TONER","INK","WASTE","DRUM","DEVELOPER","FUSER","MAINTENANCE_KIT","TRANSFER_UNIT","DUPLEXER","FEEDER","ROLLER","BELT","TRAY","WAX","RIBBON","GEL","MEDIA_ROLL","CLEANING","CUTTING","FAX_KIT","GLUE","FILTER","OIL","STAPLES","HOLEPUNCH","STACKER","STAPLER","BOOKLET_MAKER","MAILBOX","WARRANTY","SERVICE_PLAN","SUPPORT_PLAN","MEMORY","POSTSCRIPT_EXPANSION","HDD","NETWORK_ADAPTER","STAND_OR_CABINET","OTHER"]},"colour":{"type":"string","enum":["UNKNOWN","NONE","BLACK","CYAN","MAGENTA","YELLOW","RED","GREEN","BLUE","WHITE","GREY","TRICOLOUR","BICOLOUR","QUADCOLOUR","MULTICOLOUR","OTHER"]},"serialNumber":{"type":"string"},"sku":{"type":"string"},"yield":{"type":"integer","format":"int32"},"lastRead":{"type":"string","format":"date-time"},"firstRead":{"type":"string","format":"date-time"},"daysMonitored":{"type":"integer","format":"int32"},"engineCyclesMonitored":{"type":"integer","format":"int32"},"reorderPart":{"$ref":"#/components/schemas/SupplyProductRestDTO"},"maxLevel":{"type":"integer","format":"int32"},"rawLevel":{"type":"integer","format":"int32"}}},"DeviceConsumablesRestDTO":{"type":"object","properties":{"deviceId":{"type":"integer","format":"int32"},"consumables":{"type":"array","items":{"$ref":"#/components/schemas/DeviceConsumableDetailRestDTO"}}}},"SupplyProductRestDTO":{"type":"object","properties":{"sku":{"type":"string"},"description":{"type":"string"},"type":{"type":"string","enum":["UNKNOWN","TONER","INK","WASTE","DRUM","DEVELOPER","FUSER","MAINTENANCE_KIT","TRANSFER_UNIT","DUPLEXER","FEEDER","ROLLER","BELT","TRAY","WAX","RIBBON","GEL","MEDIA_ROLL","CLEANING","CUTTING","FAX_KIT","GLUE","FILTER","OIL","STAPLES","HOLEPUNCH","STACKER","STAPLER","BOOKLET_MAKER","MAILBOX","WARRANTY","SERVICE_PLAN","SUPPORT_PLAN","MEMORY","POSTSCRIPT_EXPANSION","HDD","NETWORK_ADAPTER","STAND_OR_CABINET","OTHER"]},"colour":{"type":"string","enum":["UNKNOWN","NONE","BLACK","CYAN","MAGENTA","YELLOW","RED","GREEN","BLUE","WHITE","GREY","TRICOLOUR","BICOLOUR","QUADCOLOUR","MULTICOLOUR","OTHER"]},"yield":{"type":"integer","format":"int32"}}},"DeviceConsumableHistoryRestDTO":{"type":"object","properties":{"deviceId":{"type":"integer","format":"int32"},"consumableIndex":{"type":"integer","format":"int32"},"historySteps":{"type":"array","items":{"$ref":"#/components/schemas/DeviceConsumableHistoryStepRestDTO"}}}},"DeviceConsumableHistoryStepRestDTO":{"type":"object","properties":{"recordDate":{"type":"string","description":"Record date (UTC)","format":"date-time"},"readDateLocal":{"type":"string","description":"Reading date (DCA local time)","format":"date-time"},"level":{"type":"integer","description":"Consumable level %","format":"int32"},"engineCycles":{"type":"integer","description":"Engine cycles","format":"int32"},"consumableSerial":{"type":"string","description":"Consumable serial"}}},"DeviceAlertRestDTO":{"type":"object","properties":{"deviceId":{"type":"integer","description":"The device ID","format":"int32"},"date":{"type":"string","description":"Date and time the alert condition was detected (DCA local time zone)","format":"date-time"},"engineCycles":{"type":"integer","description":"Device lifetime engine cycles count when the alert was detected","format":"int32"},"trainingLevel":{"type":"integer","description":"Alert training level (prtAlertTrainingLevel 1=other, 2=unknown, 3=untrained, 4=trained, 5=fieldService, 6=management, 7=noInterventionRequired)","format":"int32"},"severityLevel":{"type":"integer","description":"Alert severity level (prtAlertSeverityLevel 1=other, 3=critical, 4=warning, 5=warningBinaryChangeEvent)","format":"int32"},"alertClass":{"type":"string","description":"Categorised alert class","enum":["UNKNOWN","IGNORE","CONS_OUT","CONS_LOW","SYSTEM_FAIL","SYSTEM_WARNING","USER_ACTION","SYSTEM_CHANGE","JAM","MEDIA_OUT","MEDIA_LOW","USER_PROBLEM","PRINT_INFO","INFORMATION","READY","IDENTITY_CHANGE","AVAILABILITY","SUBUNIT_LOW","SUBUNIT_OUT","OPEN","OTHER"]},"mibCode":{"type":"integer","description":"Alert code (prtAlertCode, see rfc3805)","format":"int32"},"description":{"type":"string","description":"Alert description text from the device"},"cleared":{"type":"string","description":"Date and time the alert condition was detected as cleared (DCA local time zone)","format":"date-time"}}},"DeliveryLocationRestDTO":{"type":"object","properties":{"deliveryLocationId":{"type":"integer","format":"int32"},"name":{"type":"string"},"externalRef":{"type":"string"},"addressLine1":{"type":"string"},"addressLine2":{"type":"string"},"addressLine3":{"type":"string"},"city":{"type":"string"},"county":{"type":"string"},"state":{"type":"string"},"postcode":{"type":"string"},"country":{"type":"string"},"comment":{"type":"string"},"zones":{"type":"array","items":{"type":"integer","format":"int32"}},"customerId":{"type":"integer","format":"int32"}}},"CustomerRestDTO":{"type":"object","properties":{"name":{"type":"string","description":"Customer Name"},"address":{"type":"string","description":"Address"},"city":{"type":"string","description":"City"},"zip":{"type":"string","description":"Zip or Postcode"},"country":{"type":"string","description":"Country"},"contactName":{"type":"string","description":"Contact Name"},"contactEmail":{"type":"string","description":"Contact Email"},"telephoneNumber":{"type":"string","description":"Telephone Number"},"status":{"type":"string","description":"Status (ACTIVE or EXPIRED).","enum":["ACTIVE","EXPIRED"]},"createdDate":{"type":"string","description":"Creation date","format":"date-time"},"customFields":{"type":"boolean","writeOnly":true},"customerId":{"type":"integer","description":"Customer ID","format":"int32"},"groupId":{"type":"integer","description":"Group ID","format":"int32"},"customFieldValues":{"type":"object","additionalProperties":{"type":"object","description":"Custom Field Values"},"description":"Custom Field Values"}}},"ConsumableRequestRestDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"deviceId":{"type":"integer","format":"int32"},"customerId":{"type":"integer","format":"int32"},"status":{"type":"string"},"statusDate":{"type":"string","format":"date-time"},"statusComment":{"type":"string"},"requested":{"type":"string","format":"date-time"},"creator":{"type":"string"},"reason":{"type":"string"},"requestedDaysLeft":{"type":"integer","format":"int32"},"requestedLevel":{"type":"integer","format":"int32"},"requestedMonoPageCount":{"type":"integer","format":"int32"},"requestedColourPageCount":{"type":"integer","format":"int32"},"replacedDate":{"type":"string","format":"date-time"},"recentRequests":{"type":"integer","format":"int32"},"consumable":{"$ref":"#/components/schemas/DeviceConsumableDetailRestDTO"},"externalRef":{"type":"string"},"courierId":{"type":"integer","format":"int32"},"courierName":{"type":"string"},"trackingId":{"type":"string"},"trackingUrl":{"type":"string"},"groupId":{"type":"integer","description":"Customer Group / Reseller ID","format":"int32"}}},"ConsumableRequestHistoryItemRestDTO":{"type":"object","properties":{"date":{"type":"string","format":"date-time"},"status":{"type":"string"},"username":{"type":"string"},"comment":{"type":"string"}}},"ConsumableRequestHistoryRestDTO":{"type":"object","properties":{"requestId":{"type":"integer","format":"int32"},"historyItems":{"type":"array","items":{"$ref":"#/components/schemas/ConsumableRequestHistoryItemRestDTO"}}}}},"securitySchemes":{"JWT":{"type":"http","description":"JWT","name":"JWT","in":"header","scheme":"bearer","bearerFormat":"JWT"},"Basic Authentication":{"type":"apiKey","description":"Basic Auth","name":"Authorization","in":"header","scheme":"basic"}}}}